PipeWire: spa_loop_utils_methods Struct Reference

PipeWire 1.4.0 |

Loading...
Searching...
No Matches
Data Fields
spa_loop_utils_methods Struct Reference
SPA » Support » Loop

Create sources for an event loop. More...

`#include <spa/support/loop.h>`

## Data Fields
uint32_t | version
struct spa_source *(* | add_io )(void *object, int fd, uint32_t mask, bool close, spa_source_io_func_t func, void *data)
int(* | update_io )(void *object, struct spa_source *source, uint32_t mask)
struct spa_source *(* | add_idle )(void *object, bool enabled, spa_source_idle_func_t func, void *data)
int(* | enable_idle )(void *object, struct spa_source *source, bool enabled)
struct spa_source *(* | add_event )(void *object, spa_source_event_func_t func, void *data)
int(* | signal_event )(void *object, struct spa_source *source)
struct spa_source *(* | add_timer )(void *object, spa_source_timer_func_t func, void *data)
int(* | update_timer )(void *object, struct spa_source *source, struct timespec *value, struct timespec *interval, bool absolute)
struct spa_source *(* | add_signal )(void *object, int signal_number, spa_source_signal_func_t func, void *data)
void(* | destroy_source )(void *object, struct spa_source *source)
| destroy a source allocated with this interface.

## Detailed Description

Create sources for an event loop.

## Field Documentation

## ◆ version

uint32_t spa_loop_utils_methods::version

## ◆ add_io

struct spa_source *(* spa_loop_utils_methods::add_io) (void *object, int fd, uint32_t mask, bool close, spa_source_io_func_t func, void *data)

## ◆ update_io

int(* spa_loop_utils_methods::update_io) (void *object, struct spa_source *source, uint32_t mask)

## ◆ add_idle

struct spa_source *(* spa_loop_utils_methods::add_idle) (void *object, bool enabled, spa_source_idle_func_t func, void *data)

## ◆ enable_idle

int(* spa_loop_utils_methods::enable_idle) (void *object, struct spa_source *source, bool enabled)

## ◆ add_event

struct spa_source *(* spa_loop_utils_methods::add_event) (void *object, spa_source_event_func_t func, void *data)

## ◆ signal_event

int(* spa_loop_utils_methods::signal_event) (void *object, struct spa_source *source)

## ◆ add_timer

struct spa_source *(* spa_loop_utils_methods::add_timer) (void *object, spa_source_timer_func_t func, void *data)

## ◆ update_timer

int(* spa_loop_utils_methods::update_timer) (void *object, struct spa_source *source, struct timespec *value, struct timespec *interval, bool absolute)

## ◆ add_signal

struct spa_source *(* spa_loop_utils_methods::add_signal) (void *object, int signal_number, spa_source_signal_func_t func, void *data)

## ◆ destroy_source

void(* spa_loop_utils_methods::destroy_source) (void *object, struct spa_source *source)

destroy a source allocated with this interface.

This function should only be called when the loop is not running or from the context of the running loop

The documentation for this struct was generated from the following file:

- spa/support/loop.h